Bug 1833535 (CVE-2020-12243) - CVE-2020-12243 openldap: denial of service via nested boolean expressions in LDAP search filters
Summary: CVE-2020-12243 openldap: denial of service via nested boolean expressions in ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-12243
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1833536 1838405 1838406
Blocks: 1833537
TreeView+ depends on / blocked
 
Reported: 2020-05-08 20:09 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-03-04 03:47 UTC (History)
42 users (show)

Fixed In Version: openldap 2.4.50
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-29 22:00:46 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4041 0 None None None 2020-09-29 20:50:59 UTC

Description Guilherme de Almeida Suckevicz 2020-05-08 20:09:09 UTC
In filter.c in slapd in OpenLDAP before 2.4.50, LDAP search filters with nested boolean expressions can result in denial of service (daemon crash).

Reference:
https://bugs.openldap.org/show_bug.cgi?id=9202

Upstream commits:
https://git.openldap.org/openldap/openldap/-/blob/OPENLDAP_REL_ENG_2_4/CHANGES
https://git.openldap.org/openldap/openldap/-/commit/98464c11df8247d6a11b52e294ba5dd4f0380440

Comment 1 Guilherme de Almeida Suckevicz 2020-05-08 20:09:59 UTC
Created openldap tracking bugs for this issue:

Affects: fedora-all [bug 1833536]

Comment 2 Kunjan Rathod 2020-05-11 00:23:12 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat Enterprise Application Platform 5
 * Red Hat JBoss Enterprise Web Server 2

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 7 errata-xmlrpc 2020-09-29 20:50:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4041 https://access.redhat.com/errata/RHSA-2020:4041

Comment 8 Product Security DevOps Team 2020-09-29 22:00:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-12243


Note You need to log in before you can comment on or make changes to this bug.